GraphiQL open_in_new

# `Ref`

Represents a Git reference.

## GraphQL Schema definition `

- type Ref implements Node {
- # A list of pull requests with this ref as the head ref.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # states: A list of states to filter
- # the pull requests by.
- associatedPullRequests(first: Int, after: String, last: Int, before: String, states: [PullRequestState!]): PullRequestConnection!
- id: ID!
- # The ref name.
- name: String!
- # The ref's prefix, such as `refs/heads/` or `refs/tags/`.
- prefix: String!
- # The repository the ref belongs to.
- repository: Repository!
- # The object the ref points to.
- target: GitObject!
- }

`